Loading...
Searching...
No Matches
dasd_eckd_characteristics Struct Reference

`#include <fdasd.h>`

## Public Member Functions

struct { |
unsigned char async:1 |
unsigned char cache_info:1 |
unsigned char model:3 |
unsigned char reserved:1 |
unsigned char support:2 |
} | __attribute__ ((packed)) cu_model
struct { |
unsigned char async:1 |
unsigned char cache_info:1 |
unsigned char model:3 |
unsigned char reserved:1 |
unsigned char support:2 |
} | __attribute__ ((packed)) cu_model
struct { |
unsigned char cache:1 |
unsigned char cfw:1 |
unsigned char defect_wr:1 |
unsigned char dfw:1 |
unsigned char dual_copy:1 |
unsigned char mult_burst:1 |
unsigned char RD_IN_LR:1 |
unsigned char reserved1:1 |
unsigned char reserved2:4 |
unsigned char reserved3:8 |
unsigned char reserved4:1 |
unsigned char reserved5:4 |
unsigned char reserved6:2 |
unsigned char reset_alleg:1 |
unsigned char RT_in_LR:1 |
unsigned char sense_down:1 |
unsigned char striping:1 |
unsigned char XRC_supported:1 |
} | __attribute__ ((packed)) facilities
struct { |
unsigned char cache:1 |
unsigned char cfw:1 |
unsigned char defect_wr:1 |
unsigned char dfw:1 |
unsigned char dual_copy:1 |
unsigned char mult_burst:1 |
unsigned char RD_IN_LR:1 |
unsigned char reserved1:1 |
unsigned char reserved2:4 |
unsigned char reserved3:8 |
unsigned char reserved4:1 |
unsigned char reserved5:4 |
unsigned char reserved6:2 |
unsigned char reset_alleg:1 |
unsigned char RT_in_LR:1 |
unsigned char sense_down:1 |
unsigned char striping:1 |
unsigned char XRC_supported:1 |
} | __attribute__ ((packed)) facilities
union { |
} | __attribute__ ((packed)) factors
union { |
} | __attribute__ ((packed)) factors

## Data Fields

unsigned char | byte_per_track [3]
unsigned short | cu_type
unsigned char | dev_class
unsigned char | dev_model
unsigned short | dev_type
unsigned char | director
unsigned char | factor6
unsigned char | factor7
unsigned char | factor8
unsigned short | first_alt_trk
unsigned short | first_dia_trk
unsigned short | first_sup_trk
unsigned char | formula
unsigned short | home_bytes
unsigned int | long_no_cyl
unsigned short | max_rec_zero
unsigned char | MDR_ID
unsigned short | no_alt_trk
unsigned short | no_cyl
unsigned short | no_dia_trk
unsigned short | no_sup_trk
unsigned char | OBR_ID
unsigned char | rd_trk_set
unsigned char | RWANY_in_LR
unsigned char | sec_per_trk
unsigned short | trk_per_cyl
unsigned char | unit_type

## Member Function Documentation

## __attribute__() [1/6]

struct dasd_eckd_characteristics::@033020234015234124154314160017145271151110244244 dasd_eckd_characteristics::__attribute__ | ( | (packed) |  | ) |

## __attribute__() [2/6]

struct dasd_eckd_characteristics::@210067040265235073370125362125150071116101064357 dasd_eckd_characteristics::__attribute__ | ( | (packed) |  | ) |

## __attribute__() [3/6]

struct dasd_eckd_characteristics::@306245154370234360232176001027271266034117370070 dasd_eckd_characteristics::__attribute__ | ( | (packed) |  | ) |

## __attribute__() [4/6]

struct dasd_eckd_characteristics::@257233134143245146026120343154232377216001036173 dasd_eckd_characteristics::__attribute__ | ( | (packed) |  | ) |

## __attribute__() [5/6]

union dasd_eckd_characteristics::@221333245021302154112226262147172265015144051022 dasd_eckd_characteristics::__attribute__ | ( | (packed) |  | ) |

## __attribute__() [6/6]

union dasd_eckd_characteristics::@377003355306176262133273103065271316213355173330 dasd_eckd_characteristics::__attribute__ | ( | (packed) |  | ) |

## Field Documentation

## async

unsigned char dasd_eckd_characteristics::async

## byte_per_track

unsigned char dasd_eckd_characteristics::byte_per_track

## cache

unsigned char dasd_eckd_characteristics::cache

## cache_info

unsigned char dasd_eckd_characteristics::cache_info

## cfw

unsigned char dasd_eckd_characteristics::cfw

## cu_type

unsigned short dasd_eckd_characteristics::cu_type

## defect_wr

unsigned char dasd_eckd_characteristics::defect_wr

## dev_class

unsigned char dasd_eckd_characteristics::dev_class

## dev_model

unsigned char dasd_eckd_characteristics::dev_model

## dev_type

unsigned short dasd_eckd_characteristics::dev_type

## dfw

unsigned char dasd_eckd_characteristics::dfw

## director

unsigned char dasd_eckd_characteristics::director

## dual_copy

unsigned char dasd_eckd_characteristics::dual_copy

## f1

unsigned char dasd_eckd_characteristics::f1

## f2 [1/2]

unsigned char dasd_eckd_characteristics::f2

## f2 [2/2]

unsigned short dasd_eckd_characteristics::f2

## f3 [1/2]

unsigned char dasd_eckd_characteristics::f3

## f3 [2/2]

unsigned short dasd_eckd_characteristics::f3

## f4

unsigned char dasd_eckd_characteristics::f4

## f5

unsigned char dasd_eckd_characteristics::f5

## factor6

unsigned char dasd_eckd_characteristics::factor6

## factor7

unsigned char dasd_eckd_characteristics::factor7

## factor8

unsigned char dasd_eckd_characteristics::factor8

## first_alt_trk

unsigned short dasd_eckd_characteristics::first_alt_trk

## first_dia_trk

unsigned short dasd_eckd_characteristics::first_dia_trk

## first_sup_trk

unsigned short dasd_eckd_characteristics::first_sup_trk

## formula

unsigned char dasd_eckd_characteristics::formula

## home_bytes

unsigned short dasd_eckd_characteristics::home_bytes

## long_no_cyl

unsigned int dasd_eckd_characteristics::long_no_cyl

## max_rec_zero

unsigned short dasd_eckd_characteristics::max_rec_zero

## MDR_ID

unsigned char dasd_eckd_characteristics::MDR_ID

## model

unsigned char dasd_eckd_characteristics::model

## mult_burst

unsigned char dasd_eckd_characteristics::mult_burst

## no_alt_trk

unsigned short dasd_eckd_characteristics::no_alt_trk

## no_cyl

unsigned short dasd_eckd_characteristics::no_cyl

## no_dia_trk

unsigned short dasd_eckd_characteristics::no_dia_trk

## no_sup_trk

unsigned short dasd_eckd_characteristics::no_sup_trk

## OBR_ID

unsigned char dasd_eckd_characteristics::OBR_ID

## RD_IN_LR

unsigned char dasd_eckd_characteristics::RD_IN_LR

## rd_trk_set

unsigned char dasd_eckd_characteristics::rd_trk_set

## reserved

unsigned char dasd_eckd_characteristics::reserved

## reserved1

unsigned char dasd_eckd_characteristics::reserved1

## reserved2

unsigned char dasd_eckd_characteristics::reserved2

## reserved3

unsigned char dasd_eckd_characteristics::reserved3

## reserved4

unsigned char dasd_eckd_characteristics::reserved4

## reserved5

unsigned char dasd_eckd_characteristics::reserved5

## reserved6

unsigned char dasd_eckd_characteristics::reserved6

## reset_alleg

unsigned char dasd_eckd_characteristics::reset_alleg

## RT_in_LR

unsigned char dasd_eckd_characteristics::RT_in_LR

## RWANY_in_LR

unsigned char dasd_eckd_characteristics::RWANY_in_LR

## sec_per_trk

unsigned char dasd_eckd_characteristics::sec_per_trk

## sense_down

unsigned char dasd_eckd_characteristics::sense_down

## striping

unsigned char dasd_eckd_characteristics::striping

## support

unsigned char dasd_eckd_characteristics::support

## trk_per_cyl

unsigned short dasd_eckd_characteristics::trk_per_cyl

## unit_type

unsigned char dasd_eckd_characteristics::unit_type

## XRC_supported

unsigned char dasd_eckd_characteristics::XRC_supported

The documentation for this struct was generated from the following files:

- include/parted/fdasd.h
- include/parted/fdasd.in.h